=== debian/changelog ===
cacheme (0.1-1) unstable; urgency=low

  * Initial test release

 -- Till Harbaum <till@harbaum.org>  Fri, 21 Jan 2011 19:51:09 +0100
