## cacheme 0.2-1

=== Makefile ===
#############################################################################
# Makefile for building: cacheme
# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Jan 31 12:25:07 2011
# Project:  cacheme.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile cacheme.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DAPPNAME=\"cacheme\" -DVERSION=\"0.2\" -DQT_MAEMO5_LIB -DQT_SVG_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtCore -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtNetwork -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtGui -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtXml -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtSvg -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtMaemo5 -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include -I/usr/include/QtLocation -I. -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/qjson -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/opt/qtm12/include -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/opt/qtm12/include/QtMobility -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/opt/qtm12/include/QtLocation -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/opt/qtm12/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lqjson -L/opt/qtm12/lib -lQtLocation -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtSvg -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = iconloader.cpp \
		mainwindow.cpp \
		main.cpp \
		cache.cpp \
		cacheprovider.cpp \
		gcprovider.cpp \
		gcparser.cpp \
		mapwidget.cpp \
		mapoverlay.cpp \
		mapbutton.cpp \
		mapbuttonmanager.cpp \
		mapbubble.cpp \
		locationprovider.cpp moc_mainwindow.cpp \
		moc_cacheprovider.cpp \
		moc_gcprovider.cpp \
		moc_gcparser.cpp \
		moc_mapwidget.cpp \
		moc_mapbutton.cpp \
		moc_mapbubble.cpp \
		moc_locationprovider.cpp
OBJECTS       = iconloader.o \
		mainwindow.o \
		main.o \
		cache.o \
		cacheprovider.o \
		gcprovider.o \
		gcparser.o \
		mapwidget.o \
		mapoverlay.o \
		mapbutton.o \
		mapbuttonmanager.o \
		mapbubble.o \
		locationprovider.o \
		moc_mainwindow.o \
		moc_cacheprovider.o \
		moc_gcprovider.o \
		moc_gcparser.o \
		moc_mapwidget.o \
		moc_mapbutton.o \
		moc_mapbubble.o \
		moc_locationprovider.o
DIST          = /targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		cacheme.pro
QMAKE_TARGET  = cacheme
DESTDIR       = 
TARGET        = cacheme

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
	lrelease /home/builder3/maemo-fremantle-armel-extras-devel/work/cacheme-0.2/cacheme.pro

Makefile: cacheme.pro  /targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile cacheme.pro
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/debug.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile cacheme.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/cacheme0.2 || $(MKDIR) .tmp/cacheme0.2
