=== debian/changelog ===
cacheme (0.2-1) unstable; urgency=low

  * gps precision indicator
  * Adjust object layering (map->caches->precision->gps->bubble)
  * put all cache icons into a qgeomapgroupobject
  * bug tracker link
  * adjust request frequencies cache/gps
  * basic menu
  * basic about box
  * correctly wrap multiline with icon (e.g. container)
  * allow for translations
  * translate/clip painter in mapbubble
  * adjust asymmetric 2 column width
  * use of two columns only in landscape
  * align rating stars

 -- Till Harbaum <till@harbaum.org>  Thu, 27 Jan 2011 21:14:38 +0100
