=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  CacheMe is an online geocaching application written in Qt.
 XB-Description-de_DE: Online-Geocaching-Anwendung
  CacheMe ist eine Online-Geocaching-Anwendung geschrieben in Qt.
-# XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=???
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2062
 XB-Maemo-Display-Name: CacheMe
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
