=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
-	rm -f cacheme *~ 
+	rm -f cacheme moc_*.cpp *.o *~ */*~ */*/*~
 
 	dh_clean
